get
https://{subdomain}.kommo.com/api/v4/leads/unsorted
This method allows getting a list of the incoming leads in the account
Limitations
The method is available in accordance with the user’s rights.
Example request
The following example retrieves a list containing a single incoming lead:
curl --request GET \
--url 'https://subdomain.kommo.com/api/v4/leads/unsorted?filter[uid]=98fb033cefde74f5de1a5d3980a2a2d108037' \Response parameters
| Parameter | Data type | Description |
|---|---|---|
| uid | string | Unique identifier of the incoming lead |
| source_uid | string | Unique identifier of the incoming lead source, generated by the integration |
| source_name | string | Name of the incoming lead source |
| category | string | Incoming lead category. Possible values: sip, mail, chats, forms |
| pipeline_id | int | ID of the pipeline containing the incoming lead |
| created_at | int | Date and time when the incoming lead was created, expressed as a Unix timestamp |
| metadata | object | Incoming lead metadata. Available parameters depend on the incoming lead category |
| account_id | int | ID of the account associated with the incoming lead |
| _embedded | object | Embedded entities data |
| _embedded[contacts] | array | Array containing one contact object associated with the incoming lead. |
| _embedded[0] | object | Contact object |
| _embedded[0][contacts][id] | int | Contact ID |
| _embedded[companies] | array | Array containing one company object associated with the incoming lead. |
| _embedded[0] | object | Company object |
| _embedded[0][companies][id] | int | Company ID |
| _embedded[leads] | array | Array containing one lead object linked to the incoming lead. |
| _embedded[0] | object | Lead object |
| _embedded[0][leads][id] | int | Lead ID |
